using System;
using System.Text;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Moq;
using NetMagazine_MVC3_Parte3.Controllers;
using NetMagazine_MVC3_Parte3.Models;

namespace NetMagazine_MVC3_Parte3.Testes
{
    [TestClass]
    public class Testando_um_controller
    {
        [TestMethod]
        public void Action_Index_Retorna_Todos_Pedidos_Do_Repositorio()
        {
            var pedidos = new Mock<IListaDePedidos>();
            pedidos.Setup(p => p.Todos())
                .Returns(new[] { new Pedido() });

            var controller = new PedidosController(pedidos.Object);
            var result = controller.Index();

            pedidos.Verify(p => p.Todos(), Times.Once());
        }
    }
}
